# clear_cmd.cpp File Reference

Commands related to clear tiles. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "clear_map.h"`
`#include "command_func.h"`
`#include "landscape.h"`
`#include "variables.h"`
`#include "genworld.h"`
`#include "landscape_type.h"`
`#include "functions.h"`
`#include "economy_func.h"`
`#include "viewport_func.h"`
`#include "water.h"`
`#include "core/random_func.hpp"`
`#include "table/strings.h"`
`#include "table/sprites.h"`
`#include "table/clear_land.h"`

Go to the source code of this file.

## Functions
static CommandCost | ClearTile_Clear (TileIndex tile, DoCommandFlag flags)
void | DrawClearLandTile (const TileInfo *ti, byte set)
void | DrawHillyLandTile (const TileInfo *ti)
void | DrawClearLandFence (const TileInfo *ti)
static void | DrawTile_Clear (TileInfo *ti)
static uint | GetSlopeZ_Clear (TileIndex tile, uint x, uint y)
static Foundation | GetFoundation_Clear (TileIndex tile, Slope tileh)
void | TileLoopClearHelper (TileIndex tile)
static void | TileLoopClearAlps (TileIndex tile)
| Convert to or from snowy tiles.
static bool | NeighbourIsDesert (TileIndex tile)
| Tests if at least one surrounding tile is desert.
static void | TileLoopClearDesert (TileIndex tile)
static void | TileLoop_Clear (TileIndex tile)
void | GenerateClearTile ()
static TrackStatus | GetTileTrackStatus_Clear (TileIndex tile, TransportType mode, uint sub_mode, DiagDirection side)
static void | GetTileDesc_Clear (TileIndex tile, TileDesc *td)
static void | ChangeTileOwner_Clear (TileIndex tile, Owner old_owner, Owner new_owner)
void | InitializeClearLand ()
static CommandCost | TerraformTile_Clear (TileIndex tile, DoCommandFlag flags, uint z_new, Slope tileh_new)
## Variables
static const StringID | _clear_land_str []
const TileTypeProcs | _tile_type_clear_procs

## Detailed Description

Commands related to clear tiles.

Definition in file clear_cmd.cpp.

## Function Documentation

static bool NeighbourIsDesert | ( | TileIndex | tile | ) | `[inline, static]`

Tests if at least one surrounding tile is desert.

Parameters:

  | tile | tile to check

Returns:
  does this tile have at least one desert tile around?

Definition at line 197 of file clear_cmd.cpp.

References GetTropicZone(), TileDiffXY(), and TROPICZONE_DESERT.

static void TileLoopClearAlps | ( | TileIndex | tile | ) | `[static]`

Convert to or from snowy tiles.

Definition at line 161 of file clear_cmd.cpp.

References AddClearDensity(), ClearSnow(), GetClearDensity(), GetSnowLine(), GetTileZ(), IsSnowTile(), MakeSnow(), MarkTileDirtyByTile(), min(), and TILE_HEIGHT.

## Variable Documentation

const StringID _clear_land_str[]`[static]`

Initial value:

     {
      STR_LAI_CLEAR_DESCRIPTION_GRASS,
      STR_LAI_CLEAR_DESCRIPTION_ROUGH_LAND,
      STR_LAI_CLEAR_DESCRIPTION_ROCKS,
      STR_LAI_CLEAR_DESCRIPTION_FIELDS,
      STR_LAI_CLEAR_DESCRIPTION_SNOW_COVERED_LAND,
      STR_LAI_CLEAR_DESCRIPTION_DESERT
    }

Definition at line 342 of file clear_cmd.cpp.

const TileTypeProcs _tile_type_clear_procs

Initial value:

     {
      DrawTile_Clear,
      GetSlopeZ_Clear,
      ClearTile_Clear,
      NULL,
      GetTileDesc_Clear,
      GetTileTrackStatus_Clear,
      NULL,
      NULL,
      TileLoop_Clear,
      ChangeTileOwner_Clear,
      NULL,
      NULL,
      GetFoundation_Clear,
      TerraformTile_Clear,
    }